| Wireshark 4.7.0 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Functions
req_resp_hdrs.h File Reference
`#include "ws_symbol_export.h"`
`#include <epan/packet.h>`
`#include <wsutil/strtoi.h>`

Go to the source code of this file.

## Functions
WS_DLL_PUBLIC bool | req_resp_hdrs_do_reassembly (tvbuff_t *tvb, const int offset, packet_info *pinfo, const bool desegment_headers, const bool desegment_body, bool desegment_until_fin, int *last_chunk_offset, dissector_table_t streaming_subdissector_table, dissector_handle_t *streaming_chunk_handle)

## Detailed Description

Declarations of routines handling protocols with a request/response line, headers, a blank line, and an optional body.

Wireshark - Network traffic analyzer By Gerald Combs geral.nosp@m.d@wi.nosp@m.resha.nosp@m.rk.o.nosp@m.rg Copyright 1998 Gerald Combs

SPDX-License-Identifier: GPL-2.0-or-later

## Function Documentation

## ◆ req_resp_hdrs_do_reassembly()

WS_DLL_PUBLIC bool req_resp_hdrs_do_reassembly | ( | tvbuff_t * | tvb,
|  | const int | offset,
|  | packet_info * | pinfo,
|  | const bool | desegment_headers,
|  | const bool | desegment_body,
|  | bool | desegment_until_fin,
|  | int * | last_chunk_offset,
|  | dissector_table_t | streaming_subdissector_table,
|  | dissector_handle_t * | streaming_chunk_handle
| ) |  |

Optionally do reassembly of the request/response line, headers, and body.

Parameters

  | tvb | The buffer.
  | offset | The offset in the buffer to begin inspection.
  | pinfo | Packet info from the parent protocol.
  | desegment_headers | Do desegmentation on headers.
  | desegment_body | Do desegmentation on body.
  | desegment_until_fin | When desegment_body is enabled and no Content-Length header is found, assume that all data following the headers are part of the body.
  [in,out] | last_chunk_offset | For the chunked Transfer-Encoding, the offset (relative to the initial tvb offset) of the last chunk size found. The result can be fed back into a future call in order to skip to a later chunk and reduce processing from O(N^2) to O(N). Use 0 for the initial call. Only set when chunked TE is found. May be NULL.
  | streaming_subdissector_table | For searching a streaming reassembly mode supported subdissector on it by the content-type header value.
  [out] | streaming_chunk_handle | Only set when this is the beginning of a chunk stream. (There is 'Transfer-Encoding: chunked' header and a streaming reassembly mode supported subdissector is found according to Content-Type header)

Returns
  true if desegmentation is complete otherwise false